//
package util

import (
	"log"
	"os"
	"qfw/util"
	"regexp"
)

//全局配置
var FormatTextMap map[string][]map[string]interface{}
var JsonData []string
func init() {
	loadFormatText()
	//LoadTagDb("./res/tagdb")
	LoadTagDb("./res/blocktagdb")
	util.ReadConfig("./res/jsondata.json",&JsonData)
}

//加载格式化正文配置
func loadFormatText() {
	FormatTextMap = map[string][]map[string]interface{}{}
	var formatTextMap map[string]interface{}
	util.ReadConfig("./res/formattext.json", &formatTextMap)
	if len(formatTextMap) == 0 {
		log.Println("formattext.json配置文件中有错误！")
		os.Exit(0)
	}
	for k, v := range formatTextMap {
		array := v.([]interface{})
		arrayMaps := []map[string]interface{}{}
		for _, ai := range array {
			a, _ := ai.(map[string]interface{})
			reg, _ := a["reg"].(string)
			if reg == "" {
				continue
			}
			a["reg"] = regexp.MustCompile(reg)
			arrayMaps = append(arrayMaps, a)
		}
		FormatTextMap[k] = arrayMaps
	}
}
